Subject: Bug ?? Adding folders to Incoming folder collection

From: "Paul Ayers (Linux Pine)" <[email-masked]>
Date: Thu, 18 Jan 1996 07:57:30 -0500 (EST)

Pine support,

Is this a known problem ?? About 95% of the time when adding a folder to 
the Incoming Message Folders collection, Pine crashes with basically two 
different symptoms. Most often I get an error message:

Bug in Pine detected. "Received abort signal".
Exiting pine.
Attempting to save debug file to .pine-crash

Less frequently, Pine apparently goes into a loop and the CPU usage is maxed.

I am using Pine v3.91 on the Linux operating system. All of my folders 
are on the ISP's server (allowing me to use either Pine PC or Unix Pine 
on the local machine). The Pine binary is unmodified from washington.edu.

With the abort signal, Pine does accomplish most of the task ... the 
folder is created on the server and the local .pinerc file is updated.

The reason for massive maintenance on the folders was due to just 
implementing mail filtering with procmail and setting up the new 
collection of Incoming folders.

After a multitude of failures, I resorted to a work around .. I made the 
entries to the .pinerc file for the Incoming folders I wanted established 
and created the files on the server in the directory for folders.

Any feedback would be appreciated.

Aloha,
/PA

****
Partial contents of the .pine-crash:

Debug output of the Pine program (at debug level 2).  Version 3.91
Wed Jan 17 12:28:18 1996

reading_pinerc "/usr/local/lib/pine.conf"
Open failed: No such file or directory
reading_pinerc "/home/cooahu/.pinerc"
Read 9390 characters:
reading_pinerc "/usr/local/lib/pine.conf.fixed"
Open failed: No such file or directory
======= Current_val options set =======
          user-domain : aloha.net
          smtp-server : mail.aloha.net
          nntp-server : news.aloha.net
           inbox-path : {hookomo.aloha.net}/u3/cooahu/Incoming
     incoming-folders : [folder list snipped]
   folder-collections : {hookomo.aloha.net}/u3/cooahu/mail/[]
          default-fcc : {hookomo.aloha.net}/u3/cooahu/mail/sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : /home/cooahu/.addressbook
         feature-list : news-approximates-new-status
                      : enable-aggregate-command-set
                      : enable-full-header-cmd
                      : enable-unix-pipe-cmd
                      : enable-suspend
                      : expanded-view-of-folders
                      : enable-alternate-editor-cmd
                      : signature-at-bottom
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-incoming-folders
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : OrderedSubj
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : lpr
     standard-printer : lpr
 last-time-prune-ques : 96.1
    last-version-used : 3.91
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Command_line_val options set =======
======= User_val options set (/home/cooahu/.pinerc) =======
        personal-name : Paul Ayers (Linux Pine)
          user-domain : aloha.net
          smtp-server : mail.aloha.net
          nntp-server : news.aloha.net
           inbox-path : {hookomo.aloha.net}/u3/cooahu/Incoming
     incoming-folders : "in.acim" IN.acim
                      : "in.cybermind" IN.cybermind
   folder-collections : {hookomo.aloha.net}/u3/cooahu/mail/[]
          default-fcc : {hookomo.aloha.net}/u3/cooahu/mail/sent-mail
         address-book : ~/.addressbook
         feature-list : news-approximates-new-status
                      : enable-aggregate-command-set
                      : enable-full-header-cmd
                      : enable-unix-pipe-cmd
                      : enable-suspend
                      : expanded-view-of-folders
                      : enable-alternate-editor-cmd
                      : signature-at-bottom
                      : enable-bounce-cmd
                      : enable-flag-cmd
                      : enable-incoming-folders
             sort-key : OrderedSubj
              printer : lpr
 last-time-prune-ques : 96.1
    last-version-used : 3.91
======= Global_val options set (/usr/local/lib/pine.conf) =======
           inbox-path : inbox
          default-fcc : sent-mail
     postponed-folder : postponed-msgs
       mail-directory : mail
       signature-file : .signature
         address-book : .addressbook
  saved-msg-name-rule : default-folder
        fcc-name-rule : default-fcc
             sort-key : arrival
   addrbook-sort-rule : fullname-with-lists-last
 use-only-domain-name : no
              printer : attached-to-ansi
     standard-printer : lpr
        bugs-fullname : Pine Developers
         bugs-address : [email-masked]
       elm-style-save : no
      header-in-reply : no
        feature-level : sapling
      old-style-reply : no
       save-by-sender : no
======= Fixed_val options set (NO pine.conf.fixed) =======
========== Feature settings ==========
  no-assume-slow-link
  no-auto-move-read-msgs
  no-auto-open-next-unread
  no-compose-rejects-unqualified-addrs
  no-compose-sets-newsgroup-without-confirm
  no-delete-skips-deleted
  no-disable-config-cmd
  no-disable-keyboard-lock-cmd
  no-disable-password-cmd
  no-disable-update-cmd
     enable-aggregate-command-set
     enable-alternate-editor-cmd
  no-enable-alternate-editor-implicitly
     enable-bounce-cmd
     enable-flag-cmd
     enable-full-header-cmd
     enable-incoming-folders
  no-enable-jump-shortcut
  no-enable-mail-check-cue
     enable-suspend
  no-enable-tab-completion
     enable-unix-pipe-cmd
  no-expanded-view-of-addressbooks
     expanded-view-of-folders
  no-expunge-without-confirm
  no-include-attachments-in-reply
  no-include-header-in-reply
  no-include-text-in-reply
     news-approximates-new-status
  no-news-post-without-validation
  no-news-read-in-newsrc-order
  no-preserve-start-stop-characters
  no-quell-user-lookup-in-passwd-file
  no-quit-without-confirm
  no-save-will-quote-leading-froms
  no-save-will-not-delete
  no-save-will-advance
  no-select-without-confirm
  no-show-selected-in-boldface
     signature-at-bottom
  no-use-current-dir
  no-use-function-keys
Userid: cooahu
Fullname: "Paul Ayers (Linux Pine)"
User domain name being used "aloha.net"
Local Domain name being used "darkhour"
Host name being used "darkhour"
Mail Domain name being used (by c-client too)"aloha.net"
Context {hookomo.aloha.net}/u3/cooahu/mail/[] type: REMOTE
new win size -----<25 80>------
Terminal type: console
Context [] type: LOCAL
Context {hookomo.aloha.net}/u3/cooahu/mail/[] type: REMOTE
Context *{news.aloha.net/nntp}[] type: REMOTE BBOARD OLDTECH
About to open folder "INBOX"    inbox: "INBOX"
IMAP mm_notify NIL : {hookomo.aloha.net}/u3/cooahu/Incoming : hookomo.aloha.net IMAP2bis Service 7.8(92) at Wed, 17 Jan 1996 12:29:10 -1000 (HST)
Opened folder "{hookomo.aloha.net}/u3/cooahu/Incoming" with 149 messages
Sorting by OrderedSubj
IMAP mm_notify NIL : {hookomo.aloha.net}/u3/cooahu/Incoming : [PARSE] Junk at end of address: @pixi.com
IMAP 12:41 1/17 mm_log babble: Find of mailbox outside context: /home/cooahu/.pine-interrupted-mail
- mailcap_free -

[operational path snipped]

=== folder_screen called ====
- mailcap_free -

    ---- FOLDER SCREEN ----
IMAP 14:0 1/17 mm_log babble: nuhou.aloha.net InterNetNews NNRP server INN 1.4 22-Dec-93 ready (posting ok).
IMAP 14:4 1/17 mm_log babble: Find of mailbox outside context: /u3/cooahu/mail/IN.diabetes
IMAP 14:4 1/17 mm_log babble: Create of mailbox outside context: {hookomo.aloha.net}/u3/cooahu/mail/IN.diabetes
IMAP 14:4 1/17 mm_log babble: CREATE completed
about to end_tty_driver
Pine Panic: Received abort signal

save_debug_on_crash: Version 3.91: debug level 2

                   : Wed Jan 17 14:04:29 1996

Attempting to save debug file to /home/cooahu/.pine-crash

****